require "scripts/style"

MakeDialog
{
	Bitmap
	{
		name = "backgroundimage",
--		image = "diff/lounge_diff.png",
		x = 0,
		y = 0,
		w = 1024,
		h = 768,
		SetStyle( DefaultStyle ),
		SpotTheDiff
		{
			name = "SpotTheDiff02",
			PSDFile="diff/lounge_diff/lounge_diff.psd",
			nextLevelScript = "find/cabin3/cabin3.lua",
			conversation = "SpotTheDiff02",
			journal = "journal/journal1.lua",
			x = 0,
			y = 0,
			w = 1024,
			h = 768,
			Time = 420,
			music="audio/music/music1.ogg",

			SetStyle(ButtonStyle),
			Button
			{
				x=451,
				y=715,
				name="pause",
				label="pause",
				cancel=true,
				command=
				function()
					DoModal("scripts/pause.lua");
				end
			},

			SetStyle(DefaultStyle),
			Text
			{
				name = "remainingDiffs",
				label = "remaining",
				x = 440,
				y = 24,
				w = 136,
				h = 28,
				font = DiffBodyFont,
				flags = kHAlignCenter+kVAlignCenter,
			},

			SetStyle(HintStyle),
			Button
			{
				name = "hintButton",
				x = 467,
				y = 335,
				command =
				function()
					ShowHint();
				end
			},

			Hints
			{
				name = "Hints",
				x = 436,
				y = -94,
				w = 1024,
				h = 768,
			},

		},
	},
}
